Copyright: Created with EasyHelp (Tel: 0973 209667)


SignalP/Decimation Filter - RG354245

Description

This block implements an averaging decimation filter; it provides a single output.

The Decimation Factor, n, may be set from 2 to 64; a new Output is computed once the Input, x, has received n messages.  The Output is the arithmetic mean of the previous n Inputs.

Changing the Decimation Factor causes all previous samples to be discarded and a new decimation cycle to be started.

Note that the averaging process introduces rounding errors which can amount to 0.1% in the worst case.

The Decimation Factor is persistent.

Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

Decimation Factor	Sets the decimation factor.  Expects an ordinal between 2 and 64.

Get Input	Returns the current value of the input:  -100% to +100%.

Get Output	Returns the current value of the input:  -100% to +100%.

Get Decimation Factor	Returns the current decimation factor:  2 to 64.


Description

This block implements an averaging decimation filter; it provides a single output.

The Decimation Factor, n, may be set from 2 to 64; a new Output is computed once the Input, x, has received n messages.  The Output is the arithmetic mean of the previous n Inputs.

Changing the Decimation Factor causes all previous samples to be discarded and a new decimation cycle to be started.

Note that the averaging process introduces rounding errors which can amount to 0.1% in the worst case.

The Decimation Factor is persistent.


Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

Decimation Factor	Sets the decimation factor.  Expects an ordinal between 2 and 64.

Get Input	Returns the current value of the input:  -100% to +100%.

Get Output	Returns the current value of the input:  -100% to +100%.

Get Decimation Factor	Returns the current decimation factor:  2 to 64.